//////////////////////////////////////////////////////////////////////
// Created by SmartDesign Mon Mar 18 13:32:55 2019
// Version: v12.0 12.500.0.22
//////////////////////////////////////////////////////////////////////

`timescale 1ns / 100ps

// CortexM1_Subsystem
module CortexM1_Subsystem(
    // Inputs
    LANE0_RXD_N,
    LANE0_RXD_P,
    NTRST,
    REF_CLK_PAD_N,
    REF_CLK_PAD_P,
    RESETN,
    RX,
    SFP_MOD,
    SFP_RX_LOS,
    SFP_TX_FAULT,
    SWCLKTCK,
    SWDITMS,
    TDI,
    // Outputs
    LANE0_TXD_N,
    LANE0_TXD_P,
    SFP_RS0,
    SFP_RS1,
    SFP_TX_DIS,
    TDO,
    TX,
    // Inouts
    I2C_SCL,
    I2C_SDA
);

//--------------------------------------------------------------------
// Input
//--------------------------------------------------------------------
input  LANE0_RXD_N;
input  LANE0_RXD_P;
input  NTRST;
input  REF_CLK_PAD_N;
input  REF_CLK_PAD_P;
input  RESETN;
input  RX;
input  SFP_MOD;
input  SFP_RX_LOS;
input  SFP_TX_FAULT;
input  SWCLKTCK;
input  SWDITMS;
input  TDI;
//--------------------------------------------------------------------
// Output
//--------------------------------------------------------------------
output LANE0_TXD_N;
output LANE0_TXD_P;
output SFP_RS0;
output SFP_RS1;
output SFP_TX_DIS;
output TDO;
output TX;
//--------------------------------------------------------------------
// Inout
//--------------------------------------------------------------------
inout  I2C_SCL;
inout  I2C_SDA;
//--------------------------------------------------------------------
// Nets
//--------------------------------------------------------------------
wire           AND3_0_Y;
wire           BIBUF_0_Y;
wire           BIBUF_1_Y;
wire   [31:0]  CoreAHBLite_0_AHBmslave0_HADDR;
wire   [2:0]   CoreAHBLite_0_AHBmslave0_HBURST;
wire           CoreAHBLite_0_AHBmslave0_HMASTLOCK;
wire   [3:0]   CoreAHBLite_0_AHBmslave0_HPROT;
wire   [31:0]  CoreAHBLite_0_AHBmslave0_HRDATA;
wire           CoreAHBLite_0_AHBmslave0_HREADY;
wire           CoreAHBLite_0_AHBmslave0_HREADYOUT;
wire   [1:0]   CoreAHBLite_0_AHBmslave0_HRESP;
wire           CoreAHBLite_0_AHBmslave0_HSELx;
wire   [2:0]   CoreAHBLite_0_AHBmslave0_HSIZE;
wire   [1:0]   CoreAHBLite_0_AHBmslave0_HTRANS;
wire   [31:0]  CoreAHBLite_0_AHBmslave0_HWDATA;
wire           CoreAHBLite_0_AHBmslave0_HWRITE;
wire   [31:0]  CoreAHBLite_0_AHBmslave4_HADDR;
wire   [2:0]   CoreAHBLite_0_AHBmslave4_HBURST;
wire           CoreAHBLite_0_AHBmslave4_HMASTLOCK;
wire   [3:0]   CoreAHBLite_0_AHBmslave4_HPROT;
wire   [31:0]  CoreAHBLite_0_AHBmslave4_HRDATA;
wire           CoreAHBLite_0_AHBmslave4_HREADY;
wire           CoreAHBLite_0_AHBmslave4_HREADYOUT;
wire   [1:0]   CoreAHBLite_0_AHBmslave4_HRESP;
wire           CoreAHBLite_0_AHBmslave4_HSELx;
wire   [2:0]   CoreAHBLite_0_AHBmslave4_HSIZE;
wire   [1:0]   CoreAHBLite_0_AHBmslave4_HTRANS;
wire   [31:0]  CoreAHBLite_0_AHBmslave4_HWDATA;
wire           CoreAHBLite_0_AHBmslave4_HWRITE;
wire   [31:0]  COREAHBTOAPB3_0_APBmaster_PADDR;
wire           COREAHBTOAPB3_0_APBmaster_PENABLE;
wire   [31:0]  COREAHBTOAPB3_0_APBmaster_PRDATA;
wire           COREAHBTOAPB3_0_APBmaster_PREADY;
wire           COREAHBTOAPB3_0_APBmaster_PSELx;
wire           COREAHBTOAPB3_0_APBmaster_PSLVERR;
wire   [31:0]  COREAHBTOAPB3_0_APBmaster_PWDATA;
wire           COREAHBTOAPB3_0_APBmaster_PWRITE;
wire           CoreAPB3_0_APBmslave0_PENABLE;
wire           CoreAPB3_0_APBmslave0_PREADY;
wire           CoreAPB3_0_APBmslave0_PSELx;
wire           CoreAPB3_0_APBmslave0_PSLVERR;
wire           CoreAPB3_0_APBmslave0_PWRITE;
wire   [31:0]  CoreAPB3_0_APBmslave1_PRDATA;
wire           CoreAPB3_0_APBmslave1_PREADY;
wire           CoreAPB3_0_APBmslave1_PSELx;
wire           CoreAPB3_0_APBmslave1_PSLVERR;
wire           CoreAPB3_0_APBmslave2_PSELx;
wire   [31:0]  CoreAPB3_0_APBmslave3_PRDATA;
wire           CoreAPB3_0_APBmslave3_PREADY;
wire           CoreAPB3_0_APBmslave3_PSELx;
wire           CoreAPB3_0_APBmslave3_PSLVERR;
wire   [31:0]  CoreAPB3_0_APBmslave4_PRDATA;
wire           CoreAPB3_0_APBmslave4_PREADY;
wire           CoreAPB3_0_APBmslave4_PSELx;
wire           CoreAPB3_0_APBmslave4_PSLVERR;
wire   [31:0]  CoreAPB3_0_APBmslave5_PRDATA;
wire           CoreAPB3_0_APBmslave5_PSELx;
wire   [31:0]  CoreAPB3_0_APBmslave6_PRDATA;
wire           CoreAPB3_0_APBmslave6_PSELx;
wire   [31:0]  CoreAPB3_0_APBmslave9_PRDATA;
wire           CoreAPB3_0_APBmslave9_PREADY;
wire           CoreAPB3_0_APBmslave9_PSELx;
wire           CoreAPB3_0_APBmslave9_PSLVERR;
wire   [31:0]  CORECORTEXM1_0_AHB_MASTER_HADDR;
wire   [2:0]   CORECORTEXM1_0_AHB_MASTER_HBURST;
wire           CORECORTEXM1_0_AHB_MASTER_HLOCK;
wire   [3:0]   CORECORTEXM1_0_AHB_MASTER_HPROT;
wire   [31:0]  CORECORTEXM1_0_AHB_MASTER_HRDATA;
wire           CORECORTEXM1_0_AHB_MASTER_HREADY;
wire   [1:0]   CORECORTEXM1_0_AHB_MASTER_HRESP;
wire   [2:0]   CORECORTEXM1_0_AHB_MASTER_HSIZE;
wire   [1:0]   CORECORTEXM1_0_AHB_MASTER_HTRANS;
wire   [31:0]  CORECORTEXM1_0_AHB_MASTER_HWDATA;
wire           CORECORTEXM1_0_AHB_MASTER_HWRITE;
wire           CORECORTEXM1_0_HRESETN;
wire   [30:30] CoreGPIO_0_GPIO_OUT30to30;
wire   [31:31] CoreGPIO_0_GPIO_OUT31to31;
wire   [0:0]   COREI2C_0_INT;
wire   [0:0]   COREI2C_0_SCLO;
wire   [0:0]   COREI2C_0_SDAO;
wire           CoreTimer_0_TIMINT;
wire           CoreTimer_1_TIMINT;
wire           Ethernet10G_Subsystem_0_clk_100mhz;
wire           Ethernet10G_Subsystem_0_LANE0_RX_READY;
wire           Ethernet10G_Subsystem_0_O_CORE_RX_SRESET;
wire           Ethernet10G_Subsystem_0_O_CORE_TX_SRESET;
wire           Ethernet10G_Subsystem_0_O_SYS_MAC_RX_ERR;
wire           Ethernet10G_Subsystem_0_O_SYS_MAC_RX_ERR_FIFO_OVERFLOW;
wire           Ethernet10G_Subsystem_0_O_SYS_MAC_RX_RDY;
wire           Ethernet10G_Subsystem_0_O_SYS_MAC_TX_ERR_FIFO_OVERFLOW;
wire           Ethernet10G_Subsystem_0_O_SYS_MAC_TX_ERR_FIFO_UNDERRUN;
wire           Ethernet10G_Subsystem_0_O_SYS_MAC_TX_FAULT;
wire           Ethernet10G_Subsystem_0_O_SYS_MAC_TX_RDY;
wire           Ethernet10G_Subsystem_0_PF_CCC_1_LOCK;
wire           Ethernet10G_Subsystem_0_PRESETN;
wire           Ethernet10G_Subsystem_0_Retime_0_Q;
wire           Ethernet10G_Subsystem_0_Retime_1_Q;
wire           Ethernet10G_Subsystem_0_TX_PLL_LOCK;
wire           I2C_SCL;
wire           I2C_SDA;
wire           LANE0_RXD_N;
wire           LANE0_RXD_P;
wire           LANE0_TXD_N_net_0;
wire           LANE0_TXD_P_net_0;
wire           NTRST;
wire           PF_INIT_MONITOR_0_DEVICE_INIT_DONE;
wire           REF_CLK_PAD_N;
wire           REF_CLK_PAD_P;
wire           RESETN;
wire           RX;
wire   [0:0]   SFP_CTRL_0_INT0to0;
wire   [1:1]   SFP_CTRL_0_INT1to1;
wire   [2:2]   SFP_CTRL_0_INT2to2;
wire           SFP_MOD;
wire   [3:3]   SFP_RS0_net_0;
wire   [4:4]   SFP_RS1_net_0;
wire           SFP_RX_LOS;
wire   [5:5]   SFP_TX_DIS_net_0;
wire           SFP_TX_FAULT;
wire           SWCLKTCK;
wire           SWDITMS;
wire           TDI;
wire           TDO_net_0;
wire           TX_net_0;
wire           TDO_net_1;
wire           TX_net_1;
wire           LANE0_TXD_P_net_1;
wire           LANE0_TXD_N_net_1;
wire           SFP_RS0_net_1;
wire           SFP_RS1_net_1;
wire           SFP_TX_DIS_net_1;
wire   [0:0]   GPIO_OUT_slice_0;
wire   [10:10] GPIO_OUT_slice_1;
wire   [11:11] GPIO_OUT_slice_2;
wire   [12:12] GPIO_OUT_slice_3;
wire   [13:13] GPIO_OUT_slice_4;
wire   [14:14] GPIO_OUT_slice_5;
wire   [15:15] GPIO_OUT_slice_6;
wire   [16:16] GPIO_OUT_slice_7;
wire   [17:17] GPIO_OUT_slice_8;
wire   [18:18] GPIO_OUT_slice_9;
wire   [19:19] GPIO_OUT_slice_10;
wire   [1:1]   GPIO_OUT_slice_11;
wire   [20:20] GPIO_OUT_slice_12;
wire   [21:21] GPIO_OUT_slice_13;
wire   [22:22] GPIO_OUT_slice_14;
wire   [23:23] GPIO_OUT_slice_15;
wire   [24:24] GPIO_OUT_slice_16;
wire   [25:25] GPIO_OUT_slice_17;
wire   [26:26] GPIO_OUT_slice_18;
wire   [27:27] GPIO_OUT_slice_19;
wire   [28:28] GPIO_OUT_slice_20;
wire   [29:29] GPIO_OUT_slice_21;
wire   [2:2]   GPIO_OUT_slice_22;
wire   [3:3]   GPIO_OUT_slice_23;
wire   [4:4]   GPIO_OUT_slice_24;
wire   [5:5]   GPIO_OUT_slice_25;
wire   [6:6]   GPIO_OUT_slice_26;
wire   [7:7]   GPIO_OUT_slice_27;
wire   [8:8]   GPIO_OUT_slice_28;
wire   [9:9]   GPIO_OUT_slice_29;
wire   [3:3]   INT_slice_0;
wire   [4:4]   INT_slice_1;
wire   [5:5]   INT_slice_2;
wire   [0:0]   GPIO_OUT_slice_30;
wire   [1:1]   GPIO_OUT_slice_31;
wire   [2:2]   GPIO_OUT_slice_32;
wire   [31:0]  GPIO_IN_net_0;
wire   [31:0]  GPIO_OUT_net_0;
wire   [5:0]   INT_net_0;
wire   [5:0]   GPIO_IN_net_1;
wire   [5:0]   GPIO_OUT_net_1;
//--------------------------------------------------------------------
// TiedOff Nets
//--------------------------------------------------------------------
wire           GND_net;
wire           VCC_net;
wire   [31:0]  IADDR_const_net_0;
wire   [31:0]  HADDR_M1_const_net_0;
wire   [1:0]   HTRANS_M1_const_net_0;
wire   [2:0]   HSIZE_M1_const_net_0;
wire   [2:0]   HBURST_M1_const_net_0;
wire   [3:0]   HPROT_M1_const_net_0;
wire   [31:0]  HWDATA_M1_const_net_0;
wire   [31:0]  HADDR_M2_const_net_0;
wire   [1:0]   HTRANS_M2_const_net_0;
wire   [2:0]   HSIZE_M2_const_net_0;
wire   [2:0]   HBURST_M2_const_net_0;
wire   [3:0]   HPROT_M2_const_net_0;
wire   [31:0]  HWDATA_M2_const_net_0;
wire   [31:0]  HADDR_M3_const_net_0;
wire   [1:0]   HTRANS_M3_const_net_0;
wire   [2:0]   HSIZE_M3_const_net_0;
wire   [2:0]   HBURST_M3_const_net_0;
wire   [3:0]   HPROT_M3_const_net_0;
wire   [31:0]  HWDATA_M3_const_net_0;
wire   [31:0]  HRDATA_S1_const_net_0;
wire   [1:0]   HRESP_S1_const_net_0;
wire   [31:0]  HRDATA_S2_const_net_0;
wire   [1:0]   HRESP_S2_const_net_0;
wire   [31:0]  HRDATA_S3_const_net_0;
wire   [1:0]   HRESP_S3_const_net_0;
wire   [31:0]  HRDATA_S5_const_net_0;
wire   [1:0]   HRESP_S5_const_net_0;
wire   [31:0]  HRDATA_S6_const_net_0;
wire   [1:0]   HRESP_S6_const_net_0;
wire   [31:0]  HRDATA_S7_const_net_0;
wire   [1:0]   HRESP_S7_const_net_0;
wire   [31:0]  HRDATA_S8_const_net_0;
wire   [1:0]   HRESP_S8_const_net_0;
wire   [31:0]  HRDATA_S9_const_net_0;
wire   [1:0]   HRESP_S9_const_net_0;
wire   [31:0]  HRDATA_S10_const_net_0;
wire   [1:0]   HRESP_S10_const_net_0;
wire   [31:0]  HRDATA_S11_const_net_0;
wire   [1:0]   HRESP_S11_const_net_0;
wire   [31:0]  HRDATA_S12_const_net_0;
wire   [1:0]   HRESP_S12_const_net_0;
wire   [31:0]  HRDATA_S13_const_net_0;
wire   [1:0]   HRESP_S13_const_net_0;
wire   [31:0]  HRDATA_S14_const_net_0;
wire   [1:0]   HRESP_S14_const_net_0;
wire   [31:0]  HRDATA_S15_const_net_0;
wire   [1:0]   HRESP_S15_const_net_0;
wire   [31:0]  HRDATA_S16_const_net_0;
wire   [1:0]   HRESP_S16_const_net_0;
wire   [31:0]  PRDATAS7_const_net_0;
wire   [31:0]  PRDATAS8_const_net_0;
wire   [31:0]  PRDATAS10_const_net_0;
wire   [31:0]  PRDATAS11_const_net_0;
wire   [31:0]  PRDATAS12_const_net_0;
wire   [31:0]  PRDATAS13_const_net_0;
wire   [31:0]  PRDATAS14_const_net_0;
wire   [31:0]  PRDATAS15_const_net_0;
wire   [31:0]  PRDATAS16_const_net_0;
//--------------------------------------------------------------------
// Inverted Nets
//--------------------------------------------------------------------
wire           E_IN_POST_INV0_0;
wire           E_IN_POST_INV1_0;
//--------------------------------------------------------------------
// Bus Interface Nets Declarations - Unequal Pin Widths
//--------------------------------------------------------------------
wire   [7:0]   CoreAPB3_0_APBmslave0_PADDR_1_7to0;
wire   [7:0]   CoreAPB3_0_APBmslave0_PADDR_1;
wire   [4:0]   CoreAPB3_0_APBmslave0_PADDR_0_4to0;
wire   [4:0]   CoreAPB3_0_APBmslave0_PADDR_0;
wire   [15:0]  CoreAPB3_0_APBmslave0_PADDR_3_15to0;
wire   [15:0]  CoreAPB3_0_APBmslave0_PADDR_3;
wire   [31:0]  CoreAPB3_0_APBmslave0_PADDR;
wire   [8:0]   CoreAPB3_0_APBmslave0_PADDR_2_8to0;
wire   [8:0]   CoreAPB3_0_APBmslave0_PADDR_2;
wire   [4:2]   CoreAPB3_0_APBmslave0_PADDR_4_4to2;
wire   [4:2]   CoreAPB3_0_APBmslave0_PADDR_4;
wire   [4:2]   CoreAPB3_0_APBmslave0_PADDR_5_4to2;
wire   [4:2]   CoreAPB3_0_APBmslave0_PADDR_5;
wire   [7:0]   CoreAPB3_0_APBmslave0_PADDR_6_7to0;
wire   [7:0]   CoreAPB3_0_APBmslave0_PADDR_6;
wire   [7:0]   CoreAPB3_0_APBmslave0_PRDATA;
wire   [31:8]  CoreAPB3_0_APBmslave0_PRDATA_0_31to8;
wire   [7:0]   CoreAPB3_0_APBmslave0_PRDATA_0_7to0;
wire   [31:0]  CoreAPB3_0_APBmslave0_PRDATA_0;
wire   [31:0]  CoreAPB3_0_APBmslave0_PWDATA;
wire   [7:0]   CoreAPB3_0_APBmslave0_PWDATA_0_7to0;
wire   [7:0]   CoreAPB3_0_APBmslave0_PWDATA_0;
wire   [7:0]   CoreAPB3_0_APBmslave0_PWDATA_1_7to0;
wire   [7:0]   CoreAPB3_0_APBmslave0_PWDATA_1;
wire   [7:0]   CoreAPB3_0_APBmslave2_PRDATA;
wire   [31:8]  CoreAPB3_0_APBmslave2_PRDATA_0_31to8;
wire   [7:0]   CoreAPB3_0_APBmslave2_PRDATA_0_7to0;
wire   [31:0]  CoreAPB3_0_APBmslave2_PRDATA_0;
//--------------------------------------------------------------------
// Constant assignments
//--------------------------------------------------------------------
assign GND_net                = 1'b0;
assign VCC_net                = 1'b1;
assign IADDR_const_net_0      = 32'h00000000;
assign HADDR_M1_const_net_0   = 32'h00000000;
assign HTRANS_M1_const_net_0  = 2'h0;
assign HSIZE_M1_const_net_0   = 3'h0;
assign HBURST_M1_const_net_0  = 3'h0;
assign HPROT_M1_const_net_0   = 4'h0;
assign HWDATA_M1_const_net_0  = 32'h00000000;
assign HADDR_M2_const_net_0   = 32'h00000000;
assign HTRANS_M2_const_net_0  = 2'h0;
assign HSIZE_M2_const_net_0   = 3'h0;
assign HBURST_M2_const_net_0  = 3'h0;
assign HPROT_M2_const_net_0   = 4'h0;
assign HWDATA_M2_const_net_0  = 32'h00000000;
assign HADDR_M3_const_net_0   = 32'h00000000;
assign HTRANS_M3_const_net_0  = 2'h0;
assign HSIZE_M3_const_net_0   = 3'h0;
assign HBURST_M3_const_net_0  = 3'h0;
assign HPROT_M3_const_net_0   = 4'h0;
assign HWDATA_M3_const_net_0  = 32'h00000000;
assign HRDATA_S1_const_net_0  = 32'h00000000;
assign HRESP_S1_const_net_0   = 2'h0;
assign HRDATA_S2_const_net_0  = 32'h00000000;
assign HRESP_S2_const_net_0   = 2'h0;
assign HRDATA_S3_const_net_0  = 32'h00000000;
assign HRESP_S3_const_net_0   = 2'h0;
assign HRDATA_S5_const_net_0  = 32'h00000000;
assign HRESP_S5_const_net_0   = 2'h0;
assign HRDATA_S6_const_net_0  = 32'h00000000;
assign HRESP_S6_const_net_0   = 2'h0;
assign HRDATA_S7_const_net_0  = 32'h00000000;
assign HRESP_S7_const_net_0   = 2'h0;
assign HRDATA_S8_const_net_0  = 32'h00000000;
assign HRESP_S8_const_net_0   = 2'h0;
assign HRDATA_S9_const_net_0  = 32'h00000000;
assign HRESP_S9_const_net_0   = 2'h0;
assign HRDATA_S10_const_net_0 = 32'h00000000;
assign HRESP_S10_const_net_0  = 2'h0;
assign HRDATA_S11_const_net_0 = 32'h00000000;
assign HRESP_S11_const_net_0  = 2'h0;
assign HRDATA_S12_const_net_0 = 32'h00000000;
assign HRESP_S12_const_net_0  = 2'h0;
assign HRDATA_S13_const_net_0 = 32'h00000000;
assign HRESP_S13_const_net_0  = 2'h0;
assign HRDATA_S14_const_net_0 = 32'h00000000;
assign HRESP_S14_const_net_0  = 2'h0;
assign HRDATA_S15_const_net_0 = 32'h00000000;
assign HRESP_S15_const_net_0  = 2'h0;
assign HRDATA_S16_const_net_0 = 32'h00000000;
assign HRESP_S16_const_net_0  = 2'h0;
assign PRDATAS7_const_net_0   = 32'h00000000;
assign PRDATAS8_const_net_0   = 32'h00000000;
assign PRDATAS10_const_net_0  = 32'h00000000;
assign PRDATAS11_const_net_0  = 32'h00000000;
assign PRDATAS12_const_net_0  = 32'h00000000;
assign PRDATAS13_const_net_0  = 32'h00000000;
assign PRDATAS14_const_net_0  = 32'h00000000;
assign PRDATAS15_const_net_0  = 32'h00000000;
assign PRDATAS16_const_net_0  = 32'h00000000;
//--------------------------------------------------------------------
// Inversions
//--------------------------------------------------------------------
assign E_IN_POST_INV0_0 = ~ COREI2C_0_SCLO[0];
assign E_IN_POST_INV1_0 = ~ COREI2C_0_SDAO[0];
//--------------------------------------------------------------------
// Top level output port assignments
//--------------------------------------------------------------------
assign TDO_net_1         = TDO_net_0;
assign TDO               = TDO_net_1;
assign TX_net_1          = TX_net_0;
assign TX                = TX_net_1;
assign LANE0_TXD_P_net_1 = LANE0_TXD_P_net_0;
assign LANE0_TXD_P       = LANE0_TXD_P_net_1;
assign LANE0_TXD_N_net_1 = LANE0_TXD_N_net_0;
assign LANE0_TXD_N       = LANE0_TXD_N_net_1;
assign SFP_RS0_net_1     = SFP_RS0_net_0[3];
assign SFP_RS0           = SFP_RS0_net_1;
assign SFP_RS1_net_1     = SFP_RS1_net_0[4];
assign SFP_RS1           = SFP_RS1_net_1;
assign SFP_TX_DIS_net_1  = SFP_TX_DIS_net_0[5];
assign SFP_TX_DIS        = SFP_TX_DIS_net_1;
//--------------------------------------------------------------------
// Slices assignments
//--------------------------------------------------------------------
assign CoreGPIO_0_GPIO_OUT30to30[30] = GPIO_OUT_net_0[30:30];
assign CoreGPIO_0_GPIO_OUT31to31[31] = GPIO_OUT_net_0[31:31];
assign SFP_CTRL_0_INT0to0[0]         = INT_net_0[0:0];
assign SFP_CTRL_0_INT1to1[1]         = INT_net_0[1:1];
assign SFP_CTRL_0_INT2to2[2]         = INT_net_0[2:2];
assign SFP_RS0_net_0[3]              = GPIO_OUT_net_1[3:3];
assign SFP_RS1_net_0[4]              = GPIO_OUT_net_1[4:4];
assign SFP_TX_DIS_net_0[5]           = GPIO_OUT_net_1[5:5];
assign GPIO_OUT_slice_0[0]           = GPIO_OUT_net_0[0:0];
assign GPIO_OUT_slice_1[10]          = GPIO_OUT_net_0[10:10];
assign GPIO_OUT_slice_2[11]          = GPIO_OUT_net_0[11:11];
assign GPIO_OUT_slice_3[12]          = GPIO_OUT_net_0[12:12];
assign GPIO_OUT_slice_4[13]          = GPIO_OUT_net_0[13:13];
assign GPIO_OUT_slice_5[14]          = GPIO_OUT_net_0[14:14];
assign GPIO_OUT_slice_6[15]          = GPIO_OUT_net_0[15:15];
assign GPIO_OUT_slice_7[16]          = GPIO_OUT_net_0[16:16];
assign GPIO_OUT_slice_8[17]          = GPIO_OUT_net_0[17:17];
assign GPIO_OUT_slice_9[18]          = GPIO_OUT_net_0[18:18];
assign GPIO_OUT_slice_10[19]         = GPIO_OUT_net_0[19:19];
assign GPIO_OUT_slice_11[1]          = GPIO_OUT_net_0[1:1];
assign GPIO_OUT_slice_12[20]         = GPIO_OUT_net_0[20:20];
assign GPIO_OUT_slice_13[21]         = GPIO_OUT_net_0[21:21];
assign GPIO_OUT_slice_14[22]         = GPIO_OUT_net_0[22:22];
assign GPIO_OUT_slice_15[23]         = GPIO_OUT_net_0[23:23];
assign GPIO_OUT_slice_16[24]         = GPIO_OUT_net_0[24:24];
assign GPIO_OUT_slice_17[25]         = GPIO_OUT_net_0[25:25];
assign GPIO_OUT_slice_18[26]         = GPIO_OUT_net_0[26:26];
assign GPIO_OUT_slice_19[27]         = GPIO_OUT_net_0[27:27];
assign GPIO_OUT_slice_20[28]         = GPIO_OUT_net_0[28:28];
assign GPIO_OUT_slice_21[29]         = GPIO_OUT_net_0[29:29];
assign GPIO_OUT_slice_22[2]          = GPIO_OUT_net_0[2:2];
assign GPIO_OUT_slice_23[3]          = GPIO_OUT_net_0[3:3];
assign GPIO_OUT_slice_24[4]          = GPIO_OUT_net_0[4:4];
assign GPIO_OUT_slice_25[5]          = GPIO_OUT_net_0[5:5];
assign GPIO_OUT_slice_26[6]          = GPIO_OUT_net_0[6:6];
assign GPIO_OUT_slice_27[7]          = GPIO_OUT_net_0[7:7];
assign GPIO_OUT_slice_28[8]          = GPIO_OUT_net_0[8:8];
assign GPIO_OUT_slice_29[9]          = GPIO_OUT_net_0[9:9];
assign INT_slice_0[3]                = INT_net_0[3:3];
assign INT_slice_1[4]                = INT_net_0[4:4];
assign INT_slice_2[5]                = INT_net_0[5:5];
assign GPIO_OUT_slice_30[0]          = GPIO_OUT_net_1[0:0];
assign GPIO_OUT_slice_31[1]          = GPIO_OUT_net_1[1:1];
assign GPIO_OUT_slice_32[2]          = GPIO_OUT_net_1[2:2];
//--------------------------------------------------------------------
// Concatenation assignments
//--------------------------------------------------------------------
assign GPIO_IN_net_0 = { 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , 1'b0 , Ethernet10G_Subsystem_0_O_SYS_MAC_TX_ERR_FIFO_UNDERRUN , Ethernet10G_Subsystem_0_O_SYS_MAC_TX_ERR_FIFO_OVERFLOW , Ethernet10G_Subsystem_0_O_SYS_MAC_RX_ERR , Ethernet10G_Subsystem_0_O_SYS_MAC_RX_ERR_FIFO_OVERFLOW , Ethernet10G_Subsystem_0_O_SYS_MAC_TX_FAULT , Ethernet10G_Subsystem_0_TX_PLL_LOCK , Ethernet10G_Subsystem_0_O_CORE_RX_SRESET , Ethernet10G_Subsystem_0_O_CORE_TX_SRESET , Ethernet10G_Subsystem_0_O_SYS_MAC_TX_RDY , Ethernet10G_Subsystem_0_LANE0_RX_READY , Ethernet10G_Subsystem_0_O_SYS_MAC_RX_RDY , Ethernet10G_Subsystem_0_PF_CCC_1_LOCK , Ethernet10G_Subsystem_0_Retime_0_Q , Ethernet10G_Subsystem_0_Retime_1_Q };
assign GPIO_IN_net_1 = { 1'b0 , 1'b0 , 1'b0 , SFP_MOD , SFP_TX_FAULT , SFP_RX_LOS };
//--------------------------------------------------------------------
// Bus Interface Nets Assignments - Unequal Pin Widths
//--------------------------------------------------------------------
assign CoreAPB3_0_APBmslave0_PADDR_1_7to0 = CoreAPB3_0_APBmslave0_PADDR[7:0];
assign CoreAPB3_0_APBmslave0_PADDR_1 = { CoreAPB3_0_APBmslave0_PADDR_1_7to0 };
assign CoreAPB3_0_APBmslave0_PADDR_0_4to0 = CoreAPB3_0_APBmslave0_PADDR[4:0];
assign CoreAPB3_0_APBmslave0_PADDR_0 = { CoreAPB3_0_APBmslave0_PADDR_0_4to0 };
assign CoreAPB3_0_APBmslave0_PADDR_3_15to0 = CoreAPB3_0_APBmslave0_PADDR[15:0];
assign CoreAPB3_0_APBmslave0_PADDR_3 = { CoreAPB3_0_APBmslave0_PADDR_3_15to0 };
assign CoreAPB3_0_APBmslave0_PADDR_2_8to0 = CoreAPB3_0_APBmslave0_PADDR[8:0];
assign CoreAPB3_0_APBmslave0_PADDR_2 = { CoreAPB3_0_APBmslave0_PADDR_2_8to0 };
assign CoreAPB3_0_APBmslave0_PADDR_4_4to2 = CoreAPB3_0_APBmslave0_PADDR[4:2];
assign CoreAPB3_0_APBmslave0_PADDR_4 = { CoreAPB3_0_APBmslave0_PADDR_4_4to2 };
assign CoreAPB3_0_APBmslave0_PADDR_5_4to2 = CoreAPB3_0_APBmslave0_PADDR[4:2];
assign CoreAPB3_0_APBmslave0_PADDR_5 = { CoreAPB3_0_APBmslave0_PADDR_5_4to2 };
assign CoreAPB3_0_APBmslave0_PADDR_6_7to0 = CoreAPB3_0_APBmslave0_PADDR[7:0];
assign CoreAPB3_0_APBmslave0_PADDR_6 = { CoreAPB3_0_APBmslave0_PADDR_6_7to0 };

assign CoreAPB3_0_APBmslave0_PRDATA_0_31to8 = 24'h0;
assign CoreAPB3_0_APBmslave0_PRDATA_0_7to0 = CoreAPB3_0_APBmslave0_PRDATA[7:0];
assign CoreAPB3_0_APBmslave0_PRDATA_0 = { CoreAPB3_0_APBmslave0_PRDATA_0_31to8, CoreAPB3_0_APBmslave0_PRDATA_0_7to0 };

assign CoreAPB3_0_APBmslave0_PWDATA_0_7to0 = CoreAPB3_0_APBmslave0_PWDATA[7:0];
assign CoreAPB3_0_APBmslave0_PWDATA_0 = { CoreAPB3_0_APBmslave0_PWDATA_0_7to0 };
assign CoreAPB3_0_APBmslave0_PWDATA_1_7to0 = CoreAPB3_0_APBmslave0_PWDATA[7:0];
assign CoreAPB3_0_APBmslave0_PWDATA_1 = { CoreAPB3_0_APBmslave0_PWDATA_1_7to0 };

assign CoreAPB3_0_APBmslave2_PRDATA_0_31to8 = 24'h0;
assign CoreAPB3_0_APBmslave2_PRDATA_0_7to0 = CoreAPB3_0_APBmslave2_PRDATA[7:0];
assign CoreAPB3_0_APBmslave2_PRDATA_0 = { CoreAPB3_0_APBmslave2_PRDATA_0_31to8, CoreAPB3_0_APBmslave2_PRDATA_0_7to0 };

//--------------------------------------------------------------------
// Component instances
//--------------------------------------------------------------------
//--------AND3
AND3 AND3_0(
        // Inputs
        .A ( Ethernet10G_Subsystem_0_PRESETN ),
        .B ( PF_INIT_MONITOR_0_DEVICE_INIT_DONE ),
        .C ( RESETN ),
        // Outputs
        .Y ( AND3_0_Y ) 
        );

//--------BIBUF
BIBUF BIBUF_0(
        // Inputs
        .D   ( GND_net ),
        .E   ( E_IN_POST_INV0_0 ),
        // Outputs
        .Y   ( BIBUF_0_Y ),
        // Inouts
        .PAD ( I2C_SCL ) 
        );

//--------BIBUF
BIBUF BIBUF_1(
        // Inputs
        .D   ( GND_net ),
        .E   ( E_IN_POST_INV1_0 ),
        // Outputs
        .Y   ( BIBUF_1_Y ),
        // Inouts
        .PAD ( I2C_SDA ) 
        );

//--------CortexM1_Subsystem_CoreAHBLite_0_CoreAHBLite   -   Actel:DirectCore:CoreAHBLite:5.3.101
CortexM1_Subsystem_CoreAHBLite_0_CoreAHBLite #( 
        .FAMILY             ( 26 ),
        .HADDR_SHG_CFG      ( 1 ),
        .M0_AHBSLOT0ENABLE  ( 1 ),
        .M0_AHBSLOT1ENABLE  ( 0 ),
        .M0_AHBSLOT2ENABLE  ( 0 ),
        .M0_AHBSLOT3ENABLE  ( 0 ),
        .M0_AHBSLOT4ENABLE  ( 1 ),
        .M0_AHBSLOT5ENABLE  ( 0 ),
        .M0_AHBSLOT6ENABLE  ( 0 ),
        .M0_AHBSLOT7ENABLE  ( 0 ),
        .M0_AHBSLOT8ENABLE  ( 0 ),
        .M0_AHBSLOT9ENABLE  ( 0 ),
        .M0_AHBSLOT10ENABLE ( 0 ),
        .M0_AHBSLOT11ENABLE ( 0 ),
        .M0_AHBSLOT12ENABLE ( 0 ),
        .M0_AHBSLOT13ENABLE ( 0 ),
        .M0_AHBSLOT14ENABLE ( 0 ),
        .M0_AHBSLOT15ENABLE ( 0 ),
        .M0_AHBSLOT16ENABLE ( 0 ),
        .M1_AHBSLOT0ENABLE  ( 0 ),
        .M1_AHBSLOT1ENABLE  ( 0 ),
        .M1_AHBSLOT2ENABLE  ( 0 ),
        .M1_AHBSLOT3ENABLE  ( 0 ),
        .M1_AHBSLOT4ENABLE  ( 0 ),
        .M1_AHBSLOT5ENABLE  ( 0 ),
        .M1_AHBSLOT6ENABLE  ( 0 ),
        .M1_AHBSLOT7ENABLE  ( 0 ),
        .M1_AHBSLOT8ENABLE  ( 0 ),
        .M1_AHBSLOT9ENABLE  ( 0 ),
        .M1_AHBSLOT10ENABLE ( 0 ),
        .M1_AHBSLOT11ENABLE ( 0 ),
        .M1_AHBSLOT12ENABLE ( 0 ),
        .M1_AHBSLOT13ENABLE ( 0 ),
        .M1_AHBSLOT14ENABLE ( 0 ),
        .M1_AHBSLOT15ENABLE ( 0 ),
        .M1_AHBSLOT16ENABLE ( 0 ),
        .M2_AHBSLOT0ENABLE  ( 0 ),
        .M2_AHBSLOT1ENABLE  ( 0 ),
        .M2_AHBSLOT2ENABLE  ( 0 ),
        .M2_AHBSLOT3ENABLE  ( 0 ),
        .M2_AHBSLOT4ENABLE  ( 0 ),
        .M2_AHBSLOT5ENABLE  ( 0 ),
        .M2_AHBSLOT6ENABLE  ( 0 ),
        .M2_AHBSLOT7ENABLE  ( 0 ),
        .M2_AHBSLOT8ENABLE  ( 0 ),
        .M2_AHBSLOT9ENABLE  ( 0 ),
        .M2_AHBSLOT10ENABLE ( 0 ),
        .M2_AHBSLOT11ENABLE ( 0 ),
        .M2_AHBSLOT12ENABLE ( 0 ),
        .M2_AHBSLOT13ENABLE ( 0 ),
        .M2_AHBSLOT14ENABLE ( 0 ),
        .M2_AHBSLOT15ENABLE ( 0 ),
        .M2_AHBSLOT16ENABLE ( 0 ),
        .M3_AHBSLOT0ENABLE  ( 0 ),
        .M3_AHBSLOT1ENABLE  ( 0 ),
        .M3_AHBSLOT2ENABLE  ( 0 ),
        .M3_AHBSLOT3ENABLE  ( 0 ),
        .M3_AHBSLOT4ENABLE  ( 0 ),
        .M3_AHBSLOT5ENABLE  ( 0 ),
        .M3_AHBSLOT6ENABLE  ( 0 ),
        .M3_AHBSLOT7ENABLE  ( 0 ),
        .M3_AHBSLOT8ENABLE  ( 0 ),
        .M3_AHBSLOT9ENABLE  ( 0 ),
        .M3_AHBSLOT10ENABLE ( 0 ),
        .M3_AHBSLOT11ENABLE ( 0 ),
        .M3_AHBSLOT12ENABLE ( 0 ),
        .M3_AHBSLOT13ENABLE ( 0 ),
        .M3_AHBSLOT14ENABLE ( 0 ),
        .M3_AHBSLOT15ENABLE ( 0 ),
        .M3_AHBSLOT16ENABLE ( 0 ),
        .MEMSPACE           ( 4 ),
        .SC_0               ( 0 ),
        .SC_1               ( 0 ),
        .SC_2               ( 0 ),
        .SC_3               ( 0 ),
        .SC_4               ( 0 ),
        .SC_5               ( 0 ),
        .SC_6               ( 0 ),
        .SC_7               ( 0 ),
        .SC_8               ( 0 ),
        .SC_9               ( 0 ),
        .SC_10              ( 0 ),
        .SC_11              ( 0 ),
        .SC_12              ( 0 ),
        .SC_13              ( 0 ),
        .SC_14              ( 0 ),
        .SC_15              ( 0 ) )
CoreAHBLite_0(
        // Inputs
        .HCLK          ( Ethernet10G_Subsystem_0_clk_100mhz ),
        .HRESETN       ( CORECORTEXM1_0_HRESETN ),
        .REMAP_M0      ( GND_net ), // tied to 1'b0 from definition
        .HMASTLOCK_M0  ( CORECORTEXM1_0_AHB_MASTER_HLOCK ),
        .HWRITE_M0     ( CORECORTEXM1_0_AHB_MASTER_HWRITE ),
        .HMASTLOCK_M1  ( GND_net ), // tied to 1'b0 from definition
        .HWRITE_M1     ( GND_net ), // tied to 1'b0 from definition
        .HMASTLOCK_M2  ( GND_net ), // tied to 1'b0 from definition
        .HWRITE_M2     ( GND_net ), // tied to 1'b0 from definition
        .HMASTLOCK_M3  ( GND_net ), // tied to 1'b0 from definition
        .HWRITE_M3     ( GND_net ), // tied to 1'b0 from definition
        .HREADYOUT_S0  ( CoreAHBLite_0_AHBmslave0_HREADYOUT ),
        .HREADYOUT_S1  ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S2  ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S3  ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S4  ( CoreAHBLite_0_AHBmslave4_HREADYOUT ),
        .HREADYOUT_S5  ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S6  ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S7  ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S8  ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S9  ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S10 ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S11 ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S12 ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S13 ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S14 ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S15 ( VCC_net ), // tied to 1'b1 from definition
        .HREADYOUT_S16 ( VCC_net ), // tied to 1'b1 from definition
        .HADDR_M0      ( CORECORTEXM1_0_AHB_MASTER_HADDR ),
        .HSIZE_M0      ( CORECORTEXM1_0_AHB_MASTER_HSIZE ),
        .HTRANS_M0     ( CORECORTEXM1_0_AHB_MASTER_HTRANS ),
        .HWDATA_M0     ( CORECORTEXM1_0_AHB_MASTER_HWDATA ),
        .HBURST_M0     ( CORECORTEXM1_0_AHB_MASTER_HBURST ),
        .HPROT_M0      ( CORECORTEXM1_0_AHB_MASTER_HPROT ),
        .HADDR_M1      ( HADDR_M1_const_net_0 ), // tied to 32'h00000000 from definition
        .HSIZE_M1      ( HSIZE_M1_const_net_0 ), // tied to 3'h0 from definition
        .HTRANS_M1     ( HTRANS_M1_const_net_0 ), // tied to 2'h0 from definition
        .HWDATA_M1     ( HWDATA_M1_const_net_0 ), // tied to 32'h00000000 from definition
        .HBURST_M1     ( HBURST_M1_const_net_0 ), // tied to 3'h0 from definition
        .HPROT_M1      ( HPROT_M1_const_net_0 ), // tied to 4'h0 from definition
        .HADDR_M2      ( HADDR_M2_const_net_0 ), // tied to 32'h00000000 from definition
        .HSIZE_M2      ( HSIZE_M2_const_net_0 ), // tied to 3'h0 from definition
        .HTRANS_M2     ( HTRANS_M2_const_net_0 ), // tied to 2'h0 from definition
        .HWDATA_M2     ( HWDATA_M2_const_net_0 ), // tied to 32'h00000000 from definition
        .HBURST_M2     ( HBURST_M2_const_net_0 ), // tied to 3'h0 from definition
        .HPROT_M2      ( HPROT_M2_const_net_0 ), // tied to 4'h0 from definition
        .HADDR_M3      ( HADDR_M3_const_net_0 ), // tied to 32'h00000000 from definition
        .HSIZE_M3      ( HSIZE_M3_const_net_0 ), // tied to 3'h0 from definition
        .HTRANS_M3     ( HTRANS_M3_const_net_0 ), // tied to 2'h0 from definition
        .HWDATA_M3     ( HWDATA_M3_const_net_0 ), // tied to 32'h00000000 from definition
        .HBURST_M3     ( HBURST_M3_const_net_0 ), // tied to 3'h0 from definition
        .HPROT_M3      ( HPROT_M3_const_net_0 ), // tied to 4'h0 from definition
        .HRDATA_S0     ( CoreAHBLite_0_AHBmslave0_HRDATA ),
        .HRESP_S0      ( CoreAHBLite_0_AHBmslave0_HRESP ),
        .HRDATA_S1     ( HRDATA_S1_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S1      ( HRESP_S1_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S2     ( HRDATA_S2_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S2      ( HRESP_S2_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S3     ( HRDATA_S3_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S3      ( HRESP_S3_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S4     ( CoreAHBLite_0_AHBmslave4_HRDATA ),
        .HRESP_S4      ( CoreAHBLite_0_AHBmslave4_HRESP ),
        .HRDATA_S5     ( HRDATA_S5_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S5      ( HRESP_S5_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S6     ( HRDATA_S6_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S6      ( HRESP_S6_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S7     ( HRDATA_S7_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S7      ( HRESP_S7_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S8     ( HRDATA_S8_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S8      ( HRESP_S8_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S9     ( HRDATA_S9_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S9      ( HRESP_S9_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S10    ( HRDATA_S10_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S10     ( HRESP_S10_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S11    ( HRDATA_S11_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S11     ( HRESP_S11_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S12    ( HRDATA_S12_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S12     ( HRESP_S12_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S13    ( HRDATA_S13_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S13     ( HRESP_S13_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S14    ( HRDATA_S14_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S14     ( HRESP_S14_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S15    ( HRDATA_S15_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S15     ( HRESP_S15_const_net_0 ), // tied to 2'h0 from definition
        .HRDATA_S16    ( HRDATA_S16_const_net_0 ), // tied to 32'h00000000 from definition
        .HRESP_S16     ( HRESP_S16_const_net_0 ), // tied to 2'h0 from definition
        // Outputs
        .HREADY_M0     ( CORECORTEXM1_0_AHB_MASTER_HREADY ),
        .HREADY_M1     (  ),
        .HREADY_M2     (  ),
        .HREADY_M3     (  ),
        .HSEL_S0       ( CoreAHBLite_0_AHBmslave0_HSELx ),
        .HWRITE_S0     ( CoreAHBLite_0_AHBmslave0_HWRITE ),
        .HREADY_S0     ( CoreAHBLite_0_AHBmslave0_HREADY ),
        .HMASTLOCK_S0  ( CoreAHBLite_0_AHBmslave0_HMASTLOCK ),
        .HSEL_S1       (  ),
        .HWRITE_S1     (  ),
        .HREADY_S1     (  ),
        .HMASTLOCK_S1  (  ),
        .HSEL_S2       (  ),
        .HWRITE_S2     (  ),
        .HREADY_S2     (  ),
        .HMASTLOCK_S2  (  ),
        .HSEL_S3       (  ),
        .HWRITE_S3     (  ),
        .HREADY_S3     (  ),
        .HMASTLOCK_S3  (  ),
        .HSEL_S4       ( CoreAHBLite_0_AHBmslave4_HSELx ),
        .HWRITE_S4     ( CoreAHBLite_0_AHBmslave4_HWRITE ),
        .HREADY_S4     ( CoreAHBLite_0_AHBmslave4_HREADY ),
        .HMASTLOCK_S4  ( CoreAHBLite_0_AHBmslave4_HMASTLOCK ),
        .HSEL_S5       (  ),
        .HWRITE_S5     (  ),
        .HREADY_S5     (  ),
        .HMASTLOCK_S5  (  ),
        .HSEL_S6       (  ),
        .HWRITE_S6     (  ),
        .HREADY_S6     (  ),
        .HMASTLOCK_S6  (  ),
        .HSEL_S7       (  ),
        .HWRITE_S7     (  ),
        .HREADY_S7     (  ),
        .HMASTLOCK_S7  (  ),
        .HSEL_S8       (  ),
        .HWRITE_S8     (  ),
        .HREADY_S8     (  ),
        .HMASTLOCK_S8  (  ),
        .HSEL_S9       (  ),
        .HWRITE_S9     (  ),
        .HREADY_S9     (  ),
        .HMASTLOCK_S9  (  ),
        .HSEL_S10      (  ),
        .HWRITE_S10    (  ),
        .HREADY_S10    (  ),
        .HMASTLOCK_S10 (  ),
        .HSEL_S11      (  ),
        .HWRITE_S11    (  ),
        .HREADY_S11    (  ),
        .HMASTLOCK_S11 (  ),
        .HSEL_S12      (  ),
        .HWRITE_S12    (  ),
        .HREADY_S12    (  ),
        .HMASTLOCK_S12 (  ),
        .HSEL_S13      (  ),
        .HWRITE_S13    (  ),
        .HREADY_S13    (  ),
        .HMASTLOCK_S13 (  ),
        .HSEL_S14      (  ),
        .HWRITE_S14    (  ),
        .HREADY_S14    (  ),
        .HMASTLOCK_S14 (  ),
        .HSEL_S15      (  ),
        .HWRITE_S15    (  ),
        .HREADY_S15    (  ),
        .HMASTLOCK_S15 (  ),
        .HSEL_S16      (  ),
        .HWRITE_S16    (  ),
        .HREADY_S16    (  ),
        .HMASTLOCK_S16 (  ),
        .HRESP_M0      ( CORECORTEXM1_0_AHB_MASTER_HRESP ),
        .HRDATA_M0     ( CORECORTEXM1_0_AHB_MASTER_HRDATA ),
        .HRESP_M1      (  ),
        .HRDATA_M1     (  ),
        .HRESP_M2      (  ),
        .HRDATA_M2     (  ),
        .HRESP_M3      (  ),
        .HRDATA_M3     (  ),
        .HADDR_S0      ( CoreAHBLite_0_AHBmslave0_HADDR ),
        .HSIZE_S0      ( CoreAHBLite_0_AHBmslave0_HSIZE ),
        .HTRANS_S0     ( CoreAHBLite_0_AHBmslave0_HTRANS ),
        .HWDATA_S0     ( CoreAHBLite_0_AHBmslave0_HWDATA ),
        .HBURST_S0     ( CoreAHBLite_0_AHBmslave0_HBURST ),
        .HPROT_S0      ( CoreAHBLite_0_AHBmslave0_HPROT ),
        .HADDR_S1      (  ),
        .HSIZE_S1      (  ),
        .HTRANS_S1     (  ),
        .HWDATA_S1     (  ),
        .HBURST_S1     (  ),
        .HPROT_S1      (  ),
        .HADDR_S2      (  ),
        .HSIZE_S2      (  ),
        .HTRANS_S2     (  ),
        .HWDATA_S2     (  ),
        .HBURST_S2     (  ),
        .HPROT_S2      (  ),
        .HADDR_S3      (  ),
        .HSIZE_S3      (  ),
        .HTRANS_S3     (  ),
        .HWDATA_S3     (  ),
        .HBURST_S3     (  ),
        .HPROT_S3      (  ),
        .HADDR_S4      ( CoreAHBLite_0_AHBmslave4_HADDR ),
        .HSIZE_S4      ( CoreAHBLite_0_AHBmslave4_HSIZE ),
        .HTRANS_S4     ( CoreAHBLite_0_AHBmslave4_HTRANS ),
        .HWDATA_S4     ( CoreAHBLite_0_AHBmslave4_HWDATA ),
        .HBURST_S4     ( CoreAHBLite_0_AHBmslave4_HBURST ),
        .HPROT_S4      ( CoreAHBLite_0_AHBmslave4_HPROT ),
        .HADDR_S5      (  ),
        .HSIZE_S5      (  ),
        .HTRANS_S5     (  ),
        .HWDATA_S5     (  ),
        .HBURST_S5     (  ),
        .HPROT_S5      (  ),
        .HADDR_S6      (  ),
        .HSIZE_S6      (  ),
        .HTRANS_S6     (  ),
        .HWDATA_S6     (  ),
        .HBURST_S6     (  ),
        .HPROT_S6      (  ),
        .HADDR_S7      (  ),
        .HSIZE_S7      (  ),
        .HTRANS_S7     (  ),
        .HWDATA_S7     (  ),
        .HBURST_S7     (  ),
        .HPROT_S7      (  ),
        .HADDR_S8      (  ),
        .HSIZE_S8      (  ),
        .HTRANS_S8     (  ),
        .HWDATA_S8     (  ),
        .HBURST_S8     (  ),
        .HPROT_S8      (  ),
        .HADDR_S9      (  ),
        .HSIZE_S9      (  ),
        .HTRANS_S9     (  ),
        .HWDATA_S9     (  ),
        .HBURST_S9     (  ),
        .HPROT_S9      (  ),
        .HADDR_S10     (  ),
        .HSIZE_S10     (  ),
        .HTRANS_S10    (  ),
        .HWDATA_S10    (  ),
        .HBURST_S10    (  ),
        .HPROT_S10     (  ),
        .HADDR_S11     (  ),
        .HSIZE_S11     (  ),
        .HTRANS_S11    (  ),
        .HWDATA_S11    (  ),
        .HBURST_S11    (  ),
        .HPROT_S11     (  ),
        .HADDR_S12     (  ),
        .HSIZE_S12     (  ),
        .HTRANS_S12    (  ),
        .HWDATA_S12    (  ),
        .HBURST_S12    (  ),
        .HPROT_S12     (  ),
        .HADDR_S13     (  ),
        .HSIZE_S13     (  ),
        .HTRANS_S13    (  ),
        .HWDATA_S13    (  ),
        .HBURST_S13    (  ),
        .HPROT_S13     (  ),
        .HADDR_S14     (  ),
        .HSIZE_S14     (  ),
        .HTRANS_S14    (  ),
        .HWDATA_S14    (  ),
        .HBURST_S14    (  ),
        .HPROT_S14     (  ),
        .HADDR_S15     (  ),
        .HSIZE_S15     (  ),
        .HTRANS_S15    (  ),
        .HWDATA_S15    (  ),
        .HBURST_S15    (  ),
        .HPROT_S15     (  ),
        .HADDR_S16     (  ),
        .HSIZE_S16     (  ),
        .HTRANS_S16    (  ),
        .HWDATA_S16    (  ),
        .HBURST_S16    (  ),
        .HPROT_S16     (  ) 
        );

//--------COREAHBTOAPB3   -   Actel:DirectCore:COREAHBTOAPB3:3.1.100
COREAHBTOAPB3 #( 
        .FAMILY ( 15 ) )
COREAHBTOAPB3_0(
        // Inputs
        .HCLK      ( Ethernet10G_Subsystem_0_clk_100mhz ),
        .HRESETN   ( CORECORTEXM1_0_HRESETN ),
        .HWRITE    ( CoreAHBLite_0_AHBmslave4_HWRITE ),
        .HSEL      ( CoreAHBLite_0_AHBmslave4_HSELx ),
        .HREADY    ( CoreAHBLite_0_AHBmslave4_HREADY ),
        .PREADY    ( COREAHBTOAPB3_0_APBmaster_PREADY ),
        .PSLVERR   ( COREAHBTOAPB3_0_APBmaster_PSLVERR ),
        .HADDR     ( CoreAHBLite_0_AHBmslave4_HADDR ),
        .HTRANS    ( CoreAHBLite_0_AHBmslave4_HTRANS ),
        .HWDATA    ( CoreAHBLite_0_AHBmslave4_HWDATA ),
        .PRDATA    ( COREAHBTOAPB3_0_APBmaster_PRDATA ),
        // Outputs
        .HREADYOUT ( CoreAHBLite_0_AHBmslave4_HREADYOUT ),
        .PENABLE   ( COREAHBTOAPB3_0_APBmaster_PENABLE ),
        .PWRITE    ( COREAHBTOAPB3_0_APBmaster_PWRITE ),
        .PSEL      ( COREAHBTOAPB3_0_APBmaster_PSELx ),
        .HRDATA    ( CoreAHBLite_0_AHBmslave4_HRDATA ),
        .HRESP     ( CoreAHBLite_0_AHBmslave4_HRESP ),
        .PWDATA    ( COREAHBTOAPB3_0_APBmaster_PWDATA ),
        .PADDR     ( COREAHBTOAPB3_0_APBmaster_PADDR ) 
        );

//--------CoreAPB3   -   Actel:DirectCore:CoreAPB3:4.1.100
CoreAPB3 #( 
        .APB_DWIDTH      ( 32 ),
        .APBSLOT0ENABLE  ( 1 ),
        .APBSLOT1ENABLE  ( 1 ),
        .APBSLOT2ENABLE  ( 1 ),
        .APBSLOT3ENABLE  ( 1 ),
        .APBSLOT4ENABLE  ( 1 ),
        .APBSLOT5ENABLE  ( 1 ),
        .APBSLOT6ENABLE  ( 1 ),
        .APBSLOT7ENABLE  ( 0 ),
        .APBSLOT8ENABLE  ( 0 ),
        .APBSLOT9ENABLE  ( 1 ),
        .APBSLOT10ENABLE ( 0 ),
        .APBSLOT11ENABLE ( 0 ),
        .APBSLOT12ENABLE ( 0 ),
        .APBSLOT13ENABLE ( 0 ),
        .APBSLOT14ENABLE ( 0 ),
        .APBSLOT15ENABLE ( 0 ),
        .FAMILY          ( 15 ),
        .IADDR_OPTION    ( 0 ),
        .MADDR_BITS      ( 16 ),
        .SC_0            ( 0 ),
        .SC_1            ( 0 ),
        .SC_2            ( 0 ),
        .SC_3            ( 0 ),
        .SC_4            ( 0 ),
        .SC_5            ( 0 ),
        .SC_6            ( 0 ),
        .SC_7            ( 0 ),
        .SC_8            ( 0 ),
        .SC_9            ( 0 ),
        .SC_10           ( 0 ),
        .SC_11           ( 0 ),
        .SC_12           ( 0 ),
        .SC_13           ( 0 ),
        .SC_14           ( 0 ),
        .SC_15           ( 0 ),
        .UPR_NIBBLE_POSN ( 6 ) )
CoreAPB3_0(
        // Inputs
        .PRESETN    ( GND_net ), // tied to 1'b0 from definition
        .PCLK       ( GND_net ), // tied to 1'b0 from definition
        .PWRITE     ( COREAHBTOAPB3_0_APBmaster_PWRITE ),
        .PENABLE    ( COREAHBTOAPB3_0_APBmaster_PENABLE ),
        .PSEL       ( COREAHBTOAPB3_0_APBmaster_PSELx ),
        .PREADYS0   ( CoreAPB3_0_APBmslave0_PREADY ),
        .PSLVERRS0  ( CoreAPB3_0_APBmslave0_PSLVERR ),
        .PREADYS1   ( CoreAPB3_0_APBmslave1_PREADY ),
        .PSLVERRS1  ( CoreAPB3_0_APBmslave1_PSLVERR ),
        .PREADYS2   ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS2  ( GND_net ), // tied to 1'b0 from definition
        .PREADYS3   ( CoreAPB3_0_APBmslave3_PREADY ),
        .PSLVERRS3  ( CoreAPB3_0_APBmslave3_PSLVERR ),
        .PREADYS4   ( CoreAPB3_0_APBmslave4_PREADY ),
        .PSLVERRS4  ( CoreAPB3_0_APBmslave4_PSLVERR ),
        .PREADYS5   ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS5  ( GND_net ), // tied to 1'b0 from definition
        .PREADYS6   ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS6  ( GND_net ), // tied to 1'b0 from definition
        .PREADYS7   ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS7  ( GND_net ), // tied to 1'b0 from definition
        .PREADYS8   ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS8  ( GND_net ), // tied to 1'b0 from definition
        .PREADYS9   ( CoreAPB3_0_APBmslave9_PREADY ),
        .PSLVERRS9  ( CoreAPB3_0_APBmslave9_PSLVERR ),
        .PREADYS10  ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS10 ( GND_net ), // tied to 1'b0 from definition
        .PREADYS11  ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS11 ( GND_net ), // tied to 1'b0 from definition
        .PREADYS12  ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS12 ( GND_net ), // tied to 1'b0 from definition
        .PREADYS13  ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS13 ( GND_net ), // tied to 1'b0 from definition
        .PREADYS14  ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS14 ( GND_net ), // tied to 1'b0 from definition
        .PREADYS15  ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS15 ( GND_net ), // tied to 1'b0 from definition
        .PREADYS16  ( VCC_net ), // tied to 1'b1 from definition
        .PSLVERRS16 ( GND_net ), // tied to 1'b0 from definition
        .PADDR      ( COREAHBTOAPB3_0_APBmaster_PADDR ),
        .PWDATA     ( COREAHBTOAPB3_0_APBmaster_PWDATA ),
        .PRDATAS0   ( CoreAPB3_0_APBmslave0_PRDATA_0 ),
        .PRDATAS1   ( CoreAPB3_0_APBmslave1_PRDATA ),
        .PRDATAS2   ( CoreAPB3_0_APBmslave2_PRDATA_0 ),
        .PRDATAS3   ( CoreAPB3_0_APBmslave3_PRDATA ),
        .PRDATAS4   ( CoreAPB3_0_APBmslave4_PRDATA ),
        .PRDATAS5   ( CoreAPB3_0_APBmslave5_PRDATA ),
        .PRDATAS6   ( CoreAPB3_0_APBmslave6_PRDATA ),
        .PRDATAS7   ( PRDATAS7_const_net_0 ), // tied to 32'h00000000 from definition
        .PRDATAS8   ( PRDATAS8_const_net_0 ), // tied to 32'h00000000 from definition
        .PRDATAS9   ( CoreAPB3_0_APBmslave9_PRDATA ),
        .PRDATAS10  ( PRDATAS10_const_net_0 ), // tied to 32'h00000000 from definition
        .PRDATAS11  ( PRDATAS11_const_net_0 ), // tied to 32'h00000000 from definition
        .PRDATAS12  ( PRDATAS12_const_net_0 ), // tied to 32'h00000000 from definition
        .PRDATAS13  ( PRDATAS13_const_net_0 ), // tied to 32'h00000000 from definition
        .PRDATAS14  ( PRDATAS14_const_net_0 ), // tied to 32'h00000000 from definition
        .PRDATAS15  ( PRDATAS15_const_net_0 ), // tied to 32'h00000000 from definition
        .PRDATAS16  ( PRDATAS16_const_net_0 ), // tied to 32'h00000000 from definition
        .IADDR      ( IADDR_const_net_0 ), // tied to 32'h00000000 from definition
        // Outputs
        .PREADY     ( COREAHBTOAPB3_0_APBmaster_PREADY ),
        .PSLVERR    ( COREAHBTOAPB3_0_APBmaster_PSLVERR ),
        .PWRITES    ( CoreAPB3_0_APBmslave0_PWRITE ),
        .PENABLES   ( CoreAPB3_0_APBmslave0_PENABLE ),
        .PSELS0     ( CoreAPB3_0_APBmslave0_PSELx ),
        .PSELS1     ( CoreAPB3_0_APBmslave1_PSELx ),
        .PSELS2     ( CoreAPB3_0_APBmslave2_PSELx ),
        .PSELS3     ( CoreAPB3_0_APBmslave3_PSELx ),
        .PSELS4     ( CoreAPB3_0_APBmslave4_PSELx ),
        .PSELS5     ( CoreAPB3_0_APBmslave5_PSELx ),
        .PSELS6     ( CoreAPB3_0_APBmslave6_PSELx ),
        .PSELS7     (  ),
        .PSELS8     (  ),
        .PSELS9     ( CoreAPB3_0_APBmslave9_PSELx ),
        .PSELS10    (  ),
        .PSELS11    (  ),
        .PSELS12    (  ),
        .PSELS13    (  ),
        .PSELS14    (  ),
        .PSELS15    (  ),
        .PSELS16    (  ),
        .PRDATA     ( COREAHBTOAPB3_0_APBmaster_PRDATA ),
        .PADDRS     ( CoreAPB3_0_APBmslave0_PADDR ),
        .PWDATAS    ( CoreAPB3_0_APBmslave0_PWDATA ) 
        );

//--------CORECORTEXM1   -   Actel:DirectCore:CORECORTEXM1:3.0.100
CORECORTEXM1 #( 
        .DEBUG_IF        ( 0 ),
        .FAMILY          ( 26 ),
        .INCL_RESET_CTRL ( 1 ),
        .USE_BFM         ( 0 ) )
CORECORTEXM1_0(
        // Inputs
        .HCLK         ( Ethernet10G_Subsystem_0_clk_100mhz ),
        .SYSRESETN    ( AND3_0_Y ),
        .DBGRESETN    ( AND3_0_Y ),
        .NRESET       ( AND3_0_Y ),
        .WDOGRES      ( GND_net ),
        .NMI          ( GND_net ),
        .IRQ1         ( CoreTimer_0_TIMINT ),
        .IRQ2         ( CoreTimer_1_TIMINT ),
        .IRQ3         ( SFP_CTRL_0_INT0to0 ),
        .IRQ4         ( SFP_CTRL_0_INT1to1 ),
        .IRQ5         ( SFP_CTRL_0_INT2to2 ),
        .IRQ6         ( GND_net ),
        .IRQ7         ( GND_net ),
        .IRQ8         ( GND_net ),
        .IRQ9         ( GND_net ),
        .IRQ10        ( GND_net ),
        .IRQ11        ( GND_net ),
        .IRQ12        ( GND_net ),
        .IRQ13        ( GND_net ),
        .IRQ14        ( GND_net ),
        .IRQ15        ( GND_net ),
        .IRQ16        ( GND_net ),
        .IRQ17        ( GND_net ),
        .IRQ18        ( GND_net ),
        .IRQ19        ( GND_net ),
        .IRQ20        ( GND_net ),
        .IRQ21        ( GND_net ),
        .IRQ22        ( GND_net ),
        .IRQ23        ( GND_net ),
        .IRQ24        ( GND_net ),
        .IRQ25        ( GND_net ),
        .IRQ26        ( GND_net ),
        .IRQ27        ( GND_net ),
        .IRQ28        ( GND_net ),
        .IRQ29        ( GND_net ),
        .IRQ30        ( GND_net ),
        .IRQ31        ( GND_net ),
        .IRQ0         ( COREI2C_0_INT ),
        .EDBGRQ       ( GND_net ),
        .DBGRESTART   ( GND_net ),
        .SWCLKTCK     ( SWCLKTCK ),
        .NTRST        ( NTRST ),
        .SWDITMS      ( SWDITMS ),
        .TDI          ( TDI ),
        .HREADY       ( CORECORTEXM1_0_AHB_MASTER_HREADY ),
        .HRESP        ( CORECORTEXM1_0_AHB_MASTER_HRESP ),
        .HRDATA       ( CORECORTEXM1_0_AHB_MASTER_HRDATA ),
        // Outputs
        .HRESETN      ( CORECORTEXM1_0_HRESETN ),
        .WDOGRESN     (  ),
        .LOCKUP       (  ),
        .HALTED       (  ),
        .SYSRESETREQ  (  ),
        .JTAGTOP      (  ),
        .JTAGNSW      (  ),
        .DBGRESTARTED (  ),
        .SWDO         (  ),
        .SWDOEN       (  ),
        .NTDOEN       (  ),
        .TDO          ( TDO_net_0 ),
        .HWRITE       ( CORECORTEXM1_0_AHB_MASTER_HWRITE ),
        .HMASTLOCK    ( CORECORTEXM1_0_AHB_MASTER_HLOCK ),
        .HADDR        ( CORECORTEXM1_0_AHB_MASTER_HADDR ),
        .HBURST       ( CORECORTEXM1_0_AHB_MASTER_HBURST ),
        .HPROT        ( CORECORTEXM1_0_AHB_MASTER_HPROT ),
        .HSIZE        ( CORECORTEXM1_0_AHB_MASTER_HSIZE ),
        .HTRANS       ( CORECORTEXM1_0_AHB_MASTER_HTRANS ),
        .HWDATA       ( CORECORTEXM1_0_AHB_MASTER_HWDATA ) 
        );

//--------CortexM1_Subsystem_CoreGPIO_0_CoreGPIO   -   Actel:DirectCore:CoreGPIO:3.2.102
CortexM1_Subsystem_CoreGPIO_0_CoreGPIO #( 
        .APB_WIDTH       ( 32 ),
        .FIXED_CONFIG_0  ( 0 ),
        .FIXED_CONFIG_1  ( 0 ),
        .FIXED_CONFIG_2  ( 0 ),
        .FIXED_CONFIG_3  ( 0 ),
        .FIXED_CONFIG_4  ( 0 ),
        .FIXED_CONFIG_5  ( 0 ),
        .FIXED_CONFIG_6  ( 0 ),
        .FIXED_CONFIG_7  ( 0 ),
        .FIXED_CONFIG_8  ( 0 ),
        .FIXED_CONFIG_9  ( 0 ),
        .FIXED_CONFIG_10 ( 0 ),
        .FIXED_CONFIG_11 ( 0 ),
        .FIXED_CONFIG_12 ( 0 ),
        .FIXED_CONFIG_13 ( 0 ),
        .FIXED_CONFIG_14 ( 0 ),
        .FIXED_CONFIG_15 ( 0 ),
        .FIXED_CONFIG_16 ( 0 ),
        .FIXED_CONFIG_17 ( 0 ),
        .FIXED_CONFIG_18 ( 0 ),
        .FIXED_CONFIG_19 ( 0 ),
        .FIXED_CONFIG_20 ( 0 ),
        .FIXED_CONFIG_21 ( 0 ),
        .FIXED_CONFIG_22 ( 0 ),
        .FIXED_CONFIG_23 ( 0 ),
        .FIXED_CONFIG_24 ( 0 ),
        .FIXED_CONFIG_25 ( 0 ),
        .FIXED_CONFIG_26 ( 0 ),
        .FIXED_CONFIG_27 ( 0 ),
        .FIXED_CONFIG_28 ( 0 ),
        .FIXED_CONFIG_29 ( 0 ),
        .FIXED_CONFIG_30 ( 1 ),
        .FIXED_CONFIG_31 ( 1 ),
        .INT_BUS         ( 0 ),
        .IO_INT_TYPE_0   ( 7 ),
        .IO_INT_TYPE_1   ( 7 ),
        .IO_INT_TYPE_2   ( 7 ),
        .IO_INT_TYPE_3   ( 7 ),
        .IO_INT_TYPE_4   ( 7 ),
        .IO_INT_TYPE_5   ( 7 ),
        .IO_INT_TYPE_6   ( 7 ),
        .IO_INT_TYPE_7   ( 7 ),
        .IO_INT_TYPE_8   ( 7 ),
        .IO_INT_TYPE_9   ( 7 ),
        .IO_INT_TYPE_10  ( 7 ),
        .IO_INT_TYPE_11  ( 7 ),
        .IO_INT_TYPE_12  ( 7 ),
        .IO_INT_TYPE_13  ( 7 ),
        .IO_INT_TYPE_14  ( 7 ),
        .IO_INT_TYPE_15  ( 7 ),
        .IO_INT_TYPE_16  ( 7 ),
        .IO_INT_TYPE_17  ( 7 ),
        .IO_INT_TYPE_18  ( 7 ),
        .IO_INT_TYPE_19  ( 7 ),
        .IO_INT_TYPE_20  ( 7 ),
        .IO_INT_TYPE_21  ( 7 ),
        .IO_INT_TYPE_22  ( 7 ),
        .IO_INT_TYPE_23  ( 7 ),
        .IO_INT_TYPE_24  ( 7 ),
        .IO_INT_TYPE_25  ( 7 ),
        .IO_INT_TYPE_26  ( 7 ),
        .IO_INT_TYPE_27  ( 7 ),
        .IO_INT_TYPE_28  ( 7 ),
        .IO_INT_TYPE_29  ( 7 ),
        .IO_INT_TYPE_30  ( 7 ),
        .IO_INT_TYPE_31  ( 7 ),
        .IO_NUM          ( 32 ),
        .IO_TYPE_0       ( 0 ),
        .IO_TYPE_1       ( 0 ),
        .IO_TYPE_2       ( 0 ),
        .IO_TYPE_3       ( 0 ),
        .IO_TYPE_4       ( 0 ),
        .IO_TYPE_5       ( 0 ),
        .IO_TYPE_6       ( 0 ),
        .IO_TYPE_7       ( 0 ),
        .IO_TYPE_8       ( 0 ),
        .IO_TYPE_9       ( 0 ),
        .IO_TYPE_10      ( 0 ),
        .IO_TYPE_11      ( 0 ),
        .IO_TYPE_12      ( 0 ),
        .IO_TYPE_13      ( 0 ),
        .IO_TYPE_14      ( 0 ),
        .IO_TYPE_15      ( 0 ),
        .IO_TYPE_16      ( 0 ),
        .IO_TYPE_17      ( 0 ),
        .IO_TYPE_18      ( 0 ),
        .IO_TYPE_19      ( 0 ),
        .IO_TYPE_20      ( 0 ),
        .IO_TYPE_21      ( 0 ),
        .IO_TYPE_22      ( 0 ),
        .IO_TYPE_23      ( 0 ),
        .IO_TYPE_24      ( 0 ),
        .IO_TYPE_25      ( 0 ),
        .IO_TYPE_26      ( 0 ),
        .IO_TYPE_27      ( 0 ),
        .IO_TYPE_28      ( 0 ),
        .IO_TYPE_29      ( 0 ),
        .IO_TYPE_30      ( 1 ),
        .IO_TYPE_31      ( 1 ),
        .IO_VAL_0        ( 0 ),
        .IO_VAL_1        ( 0 ),
        .IO_VAL_2        ( 0 ),
        .IO_VAL_3        ( 0 ),
        .IO_VAL_4        ( 0 ),
        .IO_VAL_5        ( 0 ),
        .IO_VAL_6        ( 0 ),
        .IO_VAL_7        ( 0 ),
        .IO_VAL_8        ( 0 ),
        .IO_VAL_9        ( 0 ),
        .IO_VAL_10       ( 0 ),
        .IO_VAL_11       ( 0 ),
        .IO_VAL_12       ( 0 ),
        .IO_VAL_13       ( 0 ),
        .IO_VAL_14       ( 0 ),
        .IO_VAL_15       ( 0 ),
        .IO_VAL_16       ( 0 ),
        .IO_VAL_17       ( 0 ),
        .IO_VAL_18       ( 0 ),
        .IO_VAL_19       ( 0 ),
        .IO_VAL_20       ( 0 ),
        .IO_VAL_21       ( 0 ),
        .IO_VAL_22       ( 0 ),
        .IO_VAL_23       ( 0 ),
        .IO_VAL_24       ( 0 ),
        .IO_VAL_25       ( 0 ),
        .IO_VAL_26       ( 0 ),
        .IO_VAL_27       ( 0 ),
        .IO_VAL_28       ( 0 ),
        .IO_VAL_29       ( 0 ),
        .IO_VAL_30       ( 0 ),
        .IO_VAL_31       ( 0 ),
        .OE_TYPE         ( 0 ) )
CoreGPIO_0(
        // Inputs
        .PRESETN  ( CORECORTEXM1_0_HRESETN ),
        .PCLK     ( Ethernet10G_Subsystem_0_clk_100mhz ),
        .PSEL     ( CoreAPB3_0_APBmslave1_PSELx ),
        .PENABLE  ( CoreAPB3_0_APBmslave0_PENABLE ),
        .PWRITE   ( CoreAPB3_0_APBmslave0_PWRITE ),
        .PADDR    ( CoreAPB3_0_APBmslave0_PADDR_1 ),
        .PWDATA   ( CoreAPB3_0_APBmslave0_PWDATA ),
        .GPIO_IN  ( GPIO_IN_net_0 ),
        // Outputs
        .PSLVERR  ( CoreAPB3_0_APBmslave1_PSLVERR ),
        .PREADY   ( CoreAPB3_0_APBmslave1_PREADY ),
        .INT_OR   (  ),
        .PRDATA   ( CoreAPB3_0_APBmslave1_PRDATA ),
        .INT      (  ),
        .GPIO_OUT ( GPIO_OUT_net_0 ),
        .GPIO_OE  (  ) 
        );

//--------CortexM1_Subsystem_COREI2C_0_COREI2C   -   Actel:DirectCore:COREI2C:7.2.101
CortexM1_Subsystem_COREI2C_0_COREI2C #( 
        .ADD_SLAVE1_ADDRESS_EN   ( 0 ),
        .BAUD_RATE_FIXED         ( 1 ),
        .BAUD_RATE_VALUE         ( 0 ),
        .BCLK_ENABLED            ( 0 ),
        .FIXED_SLAVE0_ADDR_EN    ( 0 ),
        .FIXED_SLAVE0_ADDR_VALUE ( 'h0 ),
        .FIXED_SLAVE1_ADDR_EN    ( 0 ),
        .FIXED_SLAVE1_ADDR_VALUE ( 'h0 ),
        .FREQUENCY               ( 30 ),
        .GLITCHREG_NUM           ( 5 ),
        .I2C_NUM                 ( 1 ),
        .IPMI_EN                 ( 0 ),
        .OPERATING_MODE          ( 0 ),
        .SMB_EN                  ( 0 ) )
COREI2C_0(
        // Inputs
        .BCLK        ( GND_net ), // tied to 1'b0 from definition
        .PCLK        ( Ethernet10G_Subsystem_0_clk_100mhz ),
        .PENABLE     ( CoreAPB3_0_APBmslave0_PENABLE ),
        .PRESETN     ( CORECORTEXM1_0_HRESETN ),
        .PSEL        ( CoreAPB3_0_APBmslave2_PSELx ),
        .PWRITE      ( CoreAPB3_0_APBmslave0_PWRITE ),
        .PADDR       ( CoreAPB3_0_APBmslave0_PADDR_2 ),
        .PWDATA      ( CoreAPB3_0_APBmslave0_PWDATA_1 ),
        .SCLI        ( BIBUF_0_Y ),
        .SDAI        ( BIBUF_1_Y ),
        .SMBALERT_NI ( GND_net ), // tied to 1'b0 from definition
        .SMBSUS_NI   ( GND_net ), // tied to 1'b0 from definition
        // Outputs
        .INT         ( COREI2C_0_INT ),
        .PRDATA      ( CoreAPB3_0_APBmslave2_PRDATA ),
        .SCLO        ( COREI2C_0_SCLO ),
        .SDAO        ( COREI2C_0_SDAO ),
        .SMBALERT_NO (  ),
        .SMBA_INT    (  ),
        .SMBSUS_NO   (  ),
        .SMBS_INT    (  ) 
        );

//--------CoreTimer   -   Actel:DirectCore:CoreTimer:2.0.103
CoreTimer #( 
        .FAMILY     ( 19 ),
        .INTACTIVEH ( 1 ),
        .WIDTH      ( 32 ) )
CoreTimer_0(
        // Inputs
        .PCLK    ( Ethernet10G_Subsystem_0_clk_100mhz ),
        .PRESETn ( CORECORTEXM1_0_HRESETN ),
        .PSEL    ( CoreAPB3_0_APBmslave5_PSELx ),
        .PWRITE  ( CoreAPB3_0_APBmslave0_PWRITE ),
        .PENABLE ( CoreAPB3_0_APBmslave0_PENABLE ),
        .PADDR   ( CoreAPB3_0_APBmslave0_PADDR_4 ),
        .PWDATA  ( CoreAPB3_0_APBmslave0_PWDATA ),
        // Outputs
        .TIMINT  ( CoreTimer_0_TIMINT ),
        .PRDATA  ( CoreAPB3_0_APBmslave5_PRDATA ) 
        );

//--------CoreTimer   -   Actel:DirectCore:CoreTimer:2.0.103
CoreTimer #( 
        .FAMILY     ( 19 ),
        .INTACTIVEH ( 1 ),
        .WIDTH      ( 32 ) )
CoreTimer_1(
        // Inputs
        .PCLK    ( Ethernet10G_Subsystem_0_clk_100mhz ),
        .PRESETn ( CORECORTEXM1_0_HRESETN ),
        .PSEL    ( CoreAPB3_0_APBmslave6_PSELx ),
        .PWRITE  ( CoreAPB3_0_APBmslave0_PWRITE ),
        .PENABLE ( CoreAPB3_0_APBmslave0_PENABLE ),
        .PADDR   ( CoreAPB3_0_APBmslave0_PADDR_5 ),
        .PWDATA  ( CoreAPB3_0_APBmslave0_PWDATA ),
        // Outputs
        .TIMINT  ( CoreTimer_1_TIMINT ),
        .PRDATA  ( CoreAPB3_0_APBmslave6_PRDATA ) 
        );

//--------CortexM1_Subsystem_CoreUARTapb_0_CoreUARTapb   -   Actel:DirectCore:CoreUARTapb:5.6.102
CortexM1_Subsystem_CoreUARTapb_0_CoreUARTapb #( 
        .BAUD_VAL_FRCTN    ( 0 ),
        .BAUD_VAL_FRCTN_EN ( 0 ),
        .BAUD_VALUE        ( 1 ),
        .FAMILY            ( 26 ),
        .FIXEDMODE         ( 0 ),
        .PRG_BIT8          ( 0 ),
        .PRG_PARITY        ( 0 ),
        .RX_FIFO           ( 0 ),
        .RX_LEGACY_MODE    ( 0 ),
        .TX_FIFO           ( 0 ) )
CoreUARTapb_0(
        // Inputs
        .PCLK        ( Ethernet10G_Subsystem_0_clk_100mhz ),
        .PRESETN     ( CORECORTEXM1_0_HRESETN ),
        .PSEL        ( CoreAPB3_0_APBmslave0_PSELx ),
        .PENABLE     ( CoreAPB3_0_APBmslave0_PENABLE ),
        .PWRITE      ( CoreAPB3_0_APBmslave0_PWRITE ),
        .RX          ( RX ),
        .PADDR       ( CoreAPB3_0_APBmslave0_PADDR_0 ),
        .PWDATA      ( CoreAPB3_0_APBmslave0_PWDATA_0 ),
        // Outputs
        .TXRDY       (  ),
        .RXRDY       (  ),
        .PARITY_ERR  (  ),
        .OVERFLOW    (  ),
        .TX          ( TX_net_0 ),
        .PREADY      ( CoreAPB3_0_APBmslave0_PREADY ),
        .PSLVERR     ( CoreAPB3_0_APBmslave0_PSLVERR ),
        .FRAMING_ERR (  ),
        .PRDATA      ( CoreAPB3_0_APBmslave0_PRDATA ) 
        );

//--------Ethernet10G_Subsystem
Ethernet10G_Subsystem Ethernet10G_Subsystem_0(
        // Inputs
        .LANE0_RXD_P                    ( LANE0_RXD_P ),
        .LANE0_RXD_N                    ( LANE0_RXD_N ),
        .REF_CLK_PAD_P                  ( REF_CLK_PAD_P ),
        .REF_CLK_PAD_N                  ( REF_CLK_PAD_N ),
        .SYS_TX_RESET                   ( CoreGPIO_0_GPIO_OUT31to31 ),
        .SYS_RX_RESET                   ( CoreGPIO_0_GPIO_OUT30to30 ),
        .PENABLE                        ( CoreAPB3_0_APBmslave0_PENABLE ),
        .PWRITE                         ( CoreAPB3_0_APBmslave0_PWRITE ),
        .PSEL                           ( CoreAPB3_0_APBmslave3_PSELx ),
        .PENABLE_IN                     ( CoreAPB3_0_APBmslave0_PENABLE ),
        .PWRITE_IN                      ( CoreAPB3_0_APBmslave0_PWRITE ),
        .PSEL_IN                        ( CoreAPB3_0_APBmslave4_PSELx ),
        .PADDR                          ( CoreAPB3_0_APBmslave0_PADDR_3 ),
        .PWDATA                         ( CoreAPB3_0_APBmslave0_PWDATA ),
        .PADDR_IN                       ( CoreAPB3_0_APBmslave0_PADDR ),
        .PWDATA_IN                      ( CoreAPB3_0_APBmslave0_PWDATA ),
        // Outputs
        .LANE0_TXD_P                    ( LANE0_TXD_P_net_0 ),
        .LANE0_TXD_N                    ( LANE0_TXD_N_net_0 ),
        .clk_100mhz                     ( Ethernet10G_Subsystem_0_clk_100mhz ),
        .PRESETN                        ( Ethernet10G_Subsystem_0_PRESETN ),
        .Retime_1_Q                     ( Ethernet10G_Subsystem_0_Retime_1_Q ),
        .Retime_0_Q                     ( Ethernet10G_Subsystem_0_Retime_0_Q ),
        .PF_CCC_1_LOCK                  ( Ethernet10G_Subsystem_0_PF_CCC_1_LOCK ),
        .O_SYS_MAC_RX_RDY               ( Ethernet10G_Subsystem_0_O_SYS_MAC_RX_RDY ),
        .LANE0_RX_READY                 ( Ethernet10G_Subsystem_0_LANE0_RX_READY ),
        .O_SYS_MAC_TX_RDY               ( Ethernet10G_Subsystem_0_O_SYS_MAC_TX_RDY ),
        .O_CORE_TX_SRESET               ( Ethernet10G_Subsystem_0_O_CORE_TX_SRESET ),
        .O_CORE_RX_SRESET               ( Ethernet10G_Subsystem_0_O_CORE_RX_SRESET ),
        .TX_PLL_LOCK                    ( Ethernet10G_Subsystem_0_TX_PLL_LOCK ),
        .O_SYS_MAC_TX_FAULT             ( Ethernet10G_Subsystem_0_O_SYS_MAC_TX_FAULT ),
        .O_SYS_MAC_RX_ERR_FIFO_OVERFLOW ( Ethernet10G_Subsystem_0_O_SYS_MAC_RX_ERR_FIFO_OVERFLOW ),
        .O_SYS_MAC_RX_ERR               ( Ethernet10G_Subsystem_0_O_SYS_MAC_RX_ERR ),
        .O_SYS_MAC_TX_ERR_FIFO_OVERFLOW ( Ethernet10G_Subsystem_0_O_SYS_MAC_TX_ERR_FIFO_OVERFLOW ),
        .O_SYS_MAC_TX_ERR_FIFO_UNDERRUN ( Ethernet10G_Subsystem_0_O_SYS_MAC_TX_ERR_FIFO_UNDERRUN ),
        .PREADY                         ( CoreAPB3_0_APBmslave3_PREADY ),
        .PSLVERR                        ( CoreAPB3_0_APBmslave3_PSLVERR ),
        .PREADY_OUT                     ( CoreAPB3_0_APBmslave4_PREADY ),
        .PSLVERR_0                      ( CoreAPB3_0_APBmslave4_PSLVERR ),
        .PRDATA                         ( CoreAPB3_0_APBmslave3_PRDATA ),
        .PRDATA_OUT                     ( CoreAPB3_0_APBmslave4_PRDATA ) 
        );

//--------CortexM1_Subsystem_PF_INIT_MONITOR_0_PF_INIT_MONITOR   -   Actel:SgCore:PF_INIT_MONITOR:2.0.103
CortexM1_Subsystem_PF_INIT_MONITOR_0_PF_INIT_MONITOR PF_INIT_MONITOR_0(
        // Outputs
        .FABRIC_POR_N               (  ),
        .PCIE_INIT_DONE             (  ),
        .USRAM_INIT_DONE            (  ),
        .SRAM_INIT_DONE             (  ),
        .DEVICE_INIT_DONE           ( PF_INIT_MONITOR_0_DEVICE_INIT_DONE ),
        .XCVR_INIT_DONE             (  ),
        .USRAM_INIT_FROM_SNVM_DONE  (  ),
        .USRAM_INIT_FROM_UPROM_DONE (  ),
        .USRAM_INIT_FROM_SPI_DONE   (  ),
        .SRAM_INIT_FROM_SNVM_DONE   (  ),
        .SRAM_INIT_FROM_UPROM_DONE  (  ),
        .SRAM_INIT_FROM_SPI_DONE    (  ),
        .AUTOCALIB_DONE             (  ) 
        );

//--------PF_LSRAM
PF_LSRAM PF_LSRAM_0(
        // Inputs
        .HCLK      ( Ethernet10G_Subsystem_0_clk_100mhz ),
        .HRESETN   ( CORECORTEXM1_0_HRESETN ),
        .HADDR     ( CoreAHBLite_0_AHBmslave0_HADDR ),
        .HTRANS    ( CoreAHBLite_0_AHBmslave0_HTRANS ),
        .HWRITE    ( CoreAHBLite_0_AHBmslave0_HWRITE ),
        .HSIZE     ( CoreAHBLite_0_AHBmslave0_HSIZE ),
        .HBURST    ( CoreAHBLite_0_AHBmslave0_HBURST ),
        .HWDATA    ( CoreAHBLite_0_AHBmslave0_HWDATA ),
        .HSEL      ( CoreAHBLite_0_AHBmslave0_HSELx ),
        .HREADYIN  ( CoreAHBLite_0_AHBmslave0_HREADY ),
        // Outputs
        .HRDATA    ( CoreAHBLite_0_AHBmslave0_HRDATA ),
        .HREADYOUT ( CoreAHBLite_0_AHBmslave0_HREADYOUT ),
        .HRESP     ( CoreAHBLite_0_AHBmslave0_HRESP ) 
        );

//--------SFP_CTRL
SFP_CTRL SFP_CTRL_0(
        // Inputs
        .PRESETN  ( CORECORTEXM1_0_HRESETN ),
        .PCLK     ( Ethernet10G_Subsystem_0_clk_100mhz ),
        .PSEL     ( CoreAPB3_0_APBmslave9_PSELx ),
        .PENABLE  ( CoreAPB3_0_APBmslave0_PENABLE ),
        .PWRITE   ( CoreAPB3_0_APBmslave0_PWRITE ),
        .GPIO_IN  ( GPIO_IN_net_1 ),
        .PADDR    ( CoreAPB3_0_APBmslave0_PADDR_6 ),
        .PWDATA   ( CoreAPB3_0_APBmslave0_PWDATA ),
        // Outputs
        .PREADY   ( CoreAPB3_0_APBmslave9_PREADY ),
        .PSLVERR  ( CoreAPB3_0_APBmslave9_PSLVERR ),
        .INT      ( INT_net_0 ),
        .GPIO_OUT ( GPIO_OUT_net_1 ),
        .PRDATA   ( CoreAPB3_0_APBmslave9_PRDATA ) 
        );


endmodule
